# NVDA to Cthulhu plugin

This plugin starts a local WebSocket server that accepts nvda2cthulhu messages
and speaks/brailles them through Cthulhu.

## Dependencies

These are optional and only needed when the plugin is enabled:

- python-msgpack
- python-tornado

If they are missing, the plugin will announce that dependencies are missing and
will not start the server.

## Usage

- Enable the plugin in Cthulhu's Plugin Manager.
- The server listens on 127.0.0.1 and uses the port from NVDA2SPEECHD_HOST
  if set; otherwise it defaults to 3457.
- Toggle interrupt/no-interrupt mode with cthulhu+shift+n.
- Toggle translation with cthulhu+control+shift+t (requires translate-shell).
